local FC = ...

local hp = os.getenv("HOMEPATH")
local mp = hp .. "\\Documents\\Polymorph Games\\Foundation\\mods\\500\\"
local cp = hp .. "\\Documents\\Polymorph Games\\Foundation\\mods\\Fiery Essential\\"

local json = require ("dkjson")
local jstr = ""

FCconfig = {["main"]={},["balancing"]={}}

local f = io.open(cp .. "mainConfig.json","r")
FCconfig["main"] = json.decode(f:read("*all"))
f.close()

if FCconfig["main"]["balance mode"] == "creative" then
	f = io.open(cp .. "\\balancing config\\creative\\Balance.json","r")
	FCconfig["balancing"] = json.decode(f:read("*all"))
	f.close()
	f = io.open(cp .. "\\balancing config\\creative\\buildingCosts.json","r")
	FCconfig["balancing"]["costOverride"] = json.decode(f:read("*all"))
	f.close()
	f = io.open(cp .. "\\balancing config\\creative\\unlockProgress.json","r")
	FCconfig["balancing"]["progressOverride"] = json.decode(f:read("*all"))
	f.close()
	f = io.open(cp .. "\\balancing config\\creative\\tradingVillages.json","r")
	FCconfig["balancing"]["tradingVillages"] = json.decode(f:read("*all"))
	f.close()
elseif FCconfig["main"]["balance mode"] == "default" then
	f = io.open(cp .. "\\balancing config\\default\\Balance.json","r")
	FCconfig["balancing"] = json.decode(f:read("*all"))
	f.close()
	f = io.open(cp .. "\\balancing config\\default\\buildingCosts.json","r")
	FCconfig["balancing"]["costOverride"] = json.decode(f:read("*all"))
	f.close()
	f = io.open(cp .. "\\balancing config\\default\\unlockProgress.json","r")
	FCconfig["balancing"]["progressOverride"] = json.decode(f:read("*all"))
	f.close()
	f = io.open(cp .. "\\balancing config\\default\\tradingVillages.json","r")
	FCconfig["balancing"]["tradingVillages"] = json.decode(f:read("*all"))
	f.close()
elseif FCconfig["main"]["balance mode"] == "custom" then
	f = io.open(cp .. "\\balancing config\\custom\\Balance.json","r")
	FCconfig["balancing"] = json.decode(f:read("*all"))
	f.close()
	f = io.open(cp .. "\\balancing config\\custom\\buildingCosts.json","r")
	FCconfig["balancing"]["costOverride"] = json.decode(f:read("*all"))
	f.close()
	f = io.open(cp .. "\\balancing config\\custom\\unlockProgress.json","r")
	FCconfig["balancing"]["progressOverride"] = json.decode(f:read("*all"))
	f.close()
	f = io.open(cp .. "\\balancing config\\custom\\tradingVillages.json","r")
	FCconfig["balancing"]["tradingVillages"] = json.decode(f:read("*all"))
	f.close()
end

f=nil